Bug 818695 - plugin metadata update/upgrade code hangs in certain scenarios involving major plugin descriptor changes
plugin metadata update/upgrade code hangs in certain scenarios involving majo...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
4.3
Unspecified Unspecified
medium Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: jon30-issues
  Show dependency treegraph
 
Reported: 2012-05-03 14:38 EDT by Ian Springer
Modified: 2015-02-01 18:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-05-03 14:38:31 EDT
Heiko reported this a month or so ago on #rhq. After he had made a bunch of big changes in the AS7 plugin descriptor, he tried to update the plugin via "plugins update" and the RHQ Server completely hung while trying to update the metadata in the DB. IIRC, the workaround was to Ctrl-C the Server and then do a dbsetup.

To try to reproduce this, we should try these steps:

1) dbsetup
2) install the preview version of the AS7 plugin that was released to JON customers
3) try to update to the current version of the AS7 plugin from master

If this doesn't work, we may need to replace step 2 with some intermediate version of the AS7 plugin (e.g. by checking out a revision of master from around 2 or 3 months ago and building the AS7 plugin from that)
Comment 1 Mike Foley 2012-05-08 15:33:25 EDT
per BZ triage ... crouch, loleary, foley

Note You need to log in before you can comment on or make changes to this bug.